export type AuthAttributes<T = KeycloakTokenPayload> = T & {
    accessToken?: string;
    authenticated?: boolean;
    refreshToken?: string;
};
export type ModifyAuthAttributePayload<T = KeycloakTokenPayload> = {
    key: keyof AuthAttributes<T>;
    value: any;
};
export type AuthRootState<T = KeycloakTokenPayload> = {
    procyon: {
        auth: AuthAttributes<T>;
    };
};
export type KeycloakTokenPayload = {
    accessExpiresIn?: number;
    idToken?: string;
    refreshExpiresIn?: number;
    sessionState?: string;
};
export type UseLoginParams = {
    authEndpoint: string;
    baseUrl: string;
    clientId: string;
    logoutEndpoint: string;
    redirectUri: string;
    tokenEndpoint: string;
};
export type UseFetchTokensParams = Pick<UseLoginParams, 'baseUrl' | 'tokenEndpoint' | 'clientId'> & {
    code: string;
    redirectUri: string;
};
export type UseReAuthFetchParams = Pick<UseLoginParams, 'baseUrl' | 'tokenEndpoint' | 'clientId'> & {
    refreshToken: string;
};
